<!DOCTYPE html>
<html lang="fr">

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />

    <title>Vote - Polysphères</title>
    <meta name="description" content="Votez pour les Polysphères de cette année !">

    <!-- Google Icon Font + CSS -->
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/css/materialize.min.css">
    <style type="text/css">
        [v-cloak] {
            display: none;
        }
    </style>
    <style>
        html,
        body,
        .login-box {
            height: 100%;
        }

        #app {
            background-image: url("/pics/background.jpg");
            background-size: cover;
        }
    </style>
</head>

<body>
    <div id="app" class="valign-wrapper row login-box blue lighten-4">

        <div class="col card hoverable s10 pull-s1 m6 pull-m3 l4 pull-l4 blue lighten-5">
            <div class="card-content">
                <span class="card-title center-align">Polysphères 2023-2024</span>
                <div class="row">
                    <img class="responsive-img" src="https://agepoly.ch/wp-content/themes/agepoly/resources/Horizontal_-_AI_-_AGEPoly.svg"><br /><br />
                    <p style="text-align:justify">Chaque année, les étudiant·e·s ont l’occasion de désigner le·a professeur·e qui, selon eux·elles, a le plus de mérite. Le·a professeur·e récoltant le plus de voix recevra la «Polysphère d’Or», le prix des étudiant·e·s, soutenu par
                        la Vice Présidence Académique de l’EPFL. Un prix est également décerné au/à la premier·ère professeur·e élu·e de chaque faculté.</p><br />
                    <p class="center-align"><b>Les votes pour l'année 2023-2024 sont ouverts !</b><br />

                        <b v-if="!tequila || !tequila.name" v-cloak>Identifiez-vous pour continuer.</b>
                    </p>
                </div>
            </div>
            <div class="card-action center-align" v-cloak>
                <a href="/home" class="btn blue lighten-2 waves-effect waves-light pulse">
                    <div v-if="!tequila || !tequila.name">
                        Login Tequila
                    </div>
                    <div v-else>
                        Acceder au vote
                    </div>
                </a>
            </div>
        </div>
    </div>

    <!--Scripts -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/js/materialize.min.js"></script>
    <!-- <script src="https://unpkg.com/vue/dist/vue.global.prod.js" crossorigin="anonymous"></script> -->
    <script src="https://cdn.jsdelivr.net/npm/vue@2.6.14/dist/vue.js"></script>
    <script src="https://unpkg.com/vue-cookies@1.7.4/vue-cookies.js" crossorigin="anonymous"></script>
    <script src="https://unpkg.com/jwt-decode@2.2.0/build/jwt-decode.min.js" crossorigin="anonymous"></script>
    <script type="text/javascript">
        let app = new Vue({
            el: '#app',
            data: {
                tequila: undefined,
                error_message: undefined,
            },
            created: function () { 
                try {
                    this.data.tequila = jwt_decode($cookies.get("tequila"));
                }catch(e){

                }
            },
            methods: {},
            computed: {}
        })
    </script>
</body>

</html>
